明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1660|回复: 3

[求助] 如何加载外部dwg图形

[复制链接]
发表于 2005-1-18 11:57:00 | 显示全部楼层 |阅读模式
如何吧此代码专为VBA ,如何使用外部参照,我把块保存到init.dwg 将图形作为块插入时,块和所有关联的几何图形都存储在当前的图形数据库中。更改初始图形时它并不会更新。但是,如果将图形作为外部参照插入,它就会随着原始图形的更改而更新。因此,包含外部参照的图形总是反映每个外部参照文件的最新编辑。 (setq fil_loc (findfile "init.dwg"))
(command "_.insert" fil_loc '(0 0) 1 1 0)
发表于 2005-1-18 14:15:00 | 显示全部楼层
' Define external reference to be inserted
Dim InsertPoint(0 To 2) As Double
InsertPoint(0) = 0: InsertPoint(1) = 0: InsertPoint(2) = 0

' Add the external reference to the drawing
Set insertedBlock = ThisDrawing.ModelSpace.AttachExternalReference(PathName, Name, InsertPoint, 1, 1, 1, 0, False)
发表于 2005-1-19 10:15:00 | 显示全部楼层
好东西,学习,哈哈
 楼主| 发表于 2005-1-19 10:32:00 | 显示全部楼层
Dim blockRefObj1 As AcadBlockReference
insertionPnt(0) = 200
insertionPnt(1) = 250
insertionPnt(2) = 0
'Set blockRefObj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt, "e:\新代码\xwfh.dwg", 1#, 1#, 1#, 0)
Set blockRefObj1 = ThisDrawing.ModelSpace.InsertBlock(insertionPnt, "xwfh_qtd", 1#, 1#, 1#, 0)
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 20:33 , Processed in 0.178211 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表